package w83b.w83bManager;

import w83b.w83bBeans.W83bUsuarioXLNetsBean;


public interface W83bIBandejaEntrada {
	
	/**
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public java.util.List busquedaBandejaEntrada(w83b.w83bBeans.W83bPreavisosBean param) throws Exception;
	
	public w83b.w83bBeans.W83bPreavisosBean buscarDetallePreaviso(java.util.HashMap param) throws Exception;
	
	public java.util.List validarDescartarPreaviso(java.util.HashMap param) throws Exception;
	
	public java.lang.String insertarFicheroVuelta(w83b.w83bBeans.W83bDocBean param) throws Exception;
	
	public w83b.w83bBeans.W83bDocBean generarficherovuelta(java.util.List param, W83bUsuarioXLNetsBean usuario, String idioma) throws Exception;


}
